Bug 101742 - LTC3824- readv patch applied to RHEL 3 beta 1
LTC3824- readv patch applied to RHEL 3 beta 1
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Stephen Tweedie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-06 10:40 EDT by Bob Johnson
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-06 12:09:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Kelleher 2003-08-06 10:40:53 EDT
The following has be reported by IBM LTC:  
[perf][tpch]readv patch applied to rhas30 beta 1 oops
Please fill in each of the sections below.

Hardware Environment: x440, 8 qla2310, 64GB ram

Software Environment: Redhat 3.0 Beta 1, tpch


Steps to Reproduce:
1. Apply readv patch, build with CONFIG_4G=no
2. boot rebuilt kernel
3. start tpch
4. oops info 
Aug  7 10:43:40 sambaperf kernel: Page has mapping still set. This is a serious 
situation. However if you 
Aug  7 10:43:40 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:43:40 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:43:40 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:43:40 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:43:40 sambaperf kernel: invalid operand: 0000
Aug  7 10:43:40 sambaperf kernel: qla2300  
Aug  7 10:43:40 sambaperf kernel: CPU:    3
Aug  7 10:43:40 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:43:40 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:43:40 sambaperf kernel: 
Aug  7 10:43:40 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:43:40 sambaperf kernel: eax: 00000033   ebx: c3cc2808   ecx: 
00000001   edx: 00000001
Aug  7 10:43:41 sambaperf kernel: esi: ee0f4f80   edi: 00000000   ebp: 
e85c5200   esp: f1eade48
Aug  7 10:43:41 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:43:41 sambaperf kernel: Process db2sysc (pid: 3068, 
stackpage=f1ead000)
Aug  7 10:43:41 sambaperf kernel: Stack: c02aa0c0 f1eac000 00001000 f42dc388 
f549ef58 e8f52480 c3ca67ac 002248f8 
Aug  7 10:43:41 sambaperf kernel:        00000000 00000040 00000040 00000040 
00000200 c3cc2808 ee0f4f80 00000030 
Aug  7 10:43:41 sambaperf kernel:        e85c5200 c013a200 f1eadef4 00040000 
00040000 c01a60a9 ee0f4f80 00040000 
Aug  7 10:43:41 sambaperf kernel: Call Trace:   [<c013a200>] unmap_kiobuf 
[kernel] 0x28 (0xf1eade8c)
Aug  7 10:43:41 sambaperf kernel: [<c01a60a9>] rwvec_raw_dev [kernel] 0x278 
(0xf1eade9c)
Aug  7 10:43:41 sambaperf kernel: [<c01a6109>] raw_readv [kernel] 0x2f 
(0xf1eadf08)
Aug  7 10:43:41 sambaperf kernel: [<c0158e19>] do_readv_writev [kernel] 0x16f 
(0xf1eadf20)
Aug  7 10:43:41 sambaperf kernel: [<c0158ff2>] sys_readv [kernel] 0x60 
(0xf1eadfa4)
Aug  7 10:43:41 sambaperf kernel: 
Aug  7 10:43:41 sambaperf kernel: 
Aug  7 10:43:42 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:43:42 sambaperf kernel:  <2>Page has mapping still set. This is a 
serious situation. However if you 
Aug  7 10:43:42 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:43:42 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:43:42 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:43:42 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:43:42 sambaperf kernel: invalid operand: 0000
Aug  7 10:43:42 sambaperf kernel: qla2300  
Aug  7 10:43:42 sambaperf kernel: CPU:    3
Aug  7 10:43:42 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:43:42 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:43:42 sambaperf kernel: 
Aug  7 10:43:42 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:43:42 sambaperf kernel: eax: 00000033   ebx: c3ca9e84   ecx: 
00000001   edx: 00000001
Aug  7 10:43:42 sambaperf kernel: esi: c3ca9e84   edi: 00000000   ebp: 
00000047   esp: f1eadc64
Aug  7 10:43:42 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:43:42 sambaperf kernel: Process db2sysc (pid: 3068, 
stackpage=f1ead000)
Aug  7 10:43:42 sambaperf kernel: Stack: c02aa0c0 fff52740 c013d1ff fff52740 
f1eac000 f1eadcac 00000003 c038c180 
Aug  7 10:43:42 sambaperf kernel:        c1d2002c 00000002 c0009a90 fff52000 
00000047 00000019 c3ca9e84 37300000 
Aug  7 10:43:42 sambaperf kernel:        00000047 c0138f52 c3ca9e84 00000019 
00000047 c0139aa7 f5f64500 f1ea6dc8 
Aug  7 10:43:42 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf1eadc6c)
Aug  7 10:43:42 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf1eadca8)
Aug  7 10:43:43 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf1eadcb8)
Aug  7 10:43:43 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf1eadd04)
Aug  7 10:43:43 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf1eadd28)
Aug  7 10:43:43 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf1eadd38)
Aug  7 10:43:43 sambaperf kernel: [<c010c010>] do_invalid_op [kernel] 0x0 
(0xf1eadd4c)
Aug  7 10:43:43 sambaperf kernel: [<c010bed9>] do_divide_error [kernel] 0x0 
(0xf1eadd54)
Aug  7 10:43:43 sambaperf kernel: [<c010c077>] do_invalid_op [kernel] 0x67 
(0xf1eadd68)
Aug  7 10:43:43 sambaperf kernel: [<c014e78a>] __free_pages_ok [kernel] 0x392 
(0xf1eadd94)
Aug  7 10:43:43 sambaperf kernel: [<c01b05b9>] vt_console_print [kernel] 0x224 
(0xf1eadda0)
Aug  7 10:43:44 sambaperf kernel: [<c0124dfc>] __call_console_drivers [kernel] 
0x5b (0xf1eaddd0)
Aug  7 10:43:44 sambaperf kernel: [<c0124ef3>] call_console_drivers [kernel] 
0x66 (0xf1eaddec)
Aug  7 10:43:45 sambaperf kernel: [<c014e78a>] __free_pages_ok [kernel] 0x392 
(0xf1eade3c)
Aug  7 10:43:45 sambaperf kernel: [<c013a200>] unmap_kiobuf [kernel] 0x28 
(0xf1eade8c)
Aug  7 10:43:45 sambaperf kernel: [<c01a60a9>] rwvec_raw_dev [kernel] 0x278 
(0xf1eade9c)
Aug  7 10:43:45 sambaperf kernel: [<c01a6109>] raw_readv [kernel] 0x2f 
(0xf1eadf08)
Aug  7 10:43:45 sambaperf kernel: [<c0158e19>] do_readv_writev [kernel] 0x16f 
(0xf1eadf20)
Aug  7 10:43:45 sambaperf kernel: [<c0158ff2>] sys_readv [kernel] 0x60 
(0xf1eadfa4)
Aug  7 10:43:45 sambaperf kernel: 
Aug  7 10:43:45 sambaperf kernel: 
Aug  7 10:43:45 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:43:53 sambaperf kernel:  <2>Page has mapping still set. This is a 
serious situation. However if you 
Aug  7 10:43:53 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:43:53 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:43:53 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:43:53 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:43:53 sambaperf kernel: invalid operand: 0000
Aug  7 10:43:53 sambaperf kernel: qla2300  
Aug  7 10:43:53 sambaperf kernel: CPU:    10
Aug  7 10:43:53 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:43:53 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:43:53 sambaperf kernel: 
Aug  7 10:43:53 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:43:53 sambaperf kernel: eax: 00000033   ebx: c3b916b4   ecx: 
00000001   edx: 00000001
Aug  7 10:43:53 sambaperf kernel: esi: c3b916b4   edi: 00000000   ebp: 
0000005c   esp: f1fbddec
Aug  7 10:43:53 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:43:53 sambaperf kernel: Process db2sysc (pid: 3066, 
stackpage=f1fbd000)
Aug  7 10:43:53 sambaperf kernel: Stack: c02aa0c0 ffe64700 c013d1ff ffe64700 
002246e0 00010000 f1fb0000 c038c180 
Aug  7 10:43:53 sambaperf kernel:        c1d2002c 00000002 c0009320 ffe64000 
0000005c 0000004a c3b916b4 36700000 
Aug  7 10:43:53 sambaperf kernel:        0000005c c0138f52 c3b916b4 0000004a 
0000005c c0139aa7 f5f64800 f1fb6d98 
Aug  7 10:43:53 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf1fbddf4)
Aug  7 10:43:54 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf1fbde30)
Aug  7 10:43:54 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf1fbde40)
Aug  7 10:43:54 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf1fbde8c)
Aug  7 10:43:54 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf1fbdeb0)
Aug  7 10:43:54 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf1fbdec0)
Aug  7 10:43:54 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xf1fbdedc)
Aug  7 10:43:54 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xf1fbdef0)
Aug  7 10:43:54 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xf1fbdf20)
Aug  7 10:43:54 sambaperf kernel: [<c012f50c>] del_timer_sync [kernel] 0x1b 
(0xf1fbdf50)
Aug  7 10:43:55 sambaperf kernel: [<c01300cd>] schedule_timeout [kernel] 0x6d 
(0xf1fbdf64)
Aug  7 10:43:55 sambaperf kernel: [<c0130057>] process_timeout [kernel] 0x0 
(0xf1fbdf84)
Aug  7 10:43:55 sambaperf kernel: [<c0130231>] sys_nanosleep [kernel] 0x10c 
(0xf1fbdf9c)
Aug  7 10:43:55 sambaperf kernel: 
Aug  7 10:43:55 sambaperf kernel: 
Aug  7 10:43:55 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 <2>Page has 
mapping still set. This is a serious situation. However if you 
Aug  7 10:43:55 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:43:55 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:43:55 sambaperf kernel: e9 b8 fc ff ff 0f 0b ac 00 9b 97 2a 
Aug  7 10:43:56 sambaperf kernel:  ------------[ cut here ]------------
Aug  7 10:43:56 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:43:56 sambaperf kernel: invalid operand: 0000
Aug  7 10:43:56 sambaperf kernel: qla2300  
Aug  7 10:43:56 sambaperf kernel: CPU:    14
Aug  7 10:43:56 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:43:56 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:43:56 sambaperf kernel: 
Aug  7 10:43:56 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:43:56 sambaperf kernel: eax: 00000033   ebx: c3b5f0ec   ecx: 
c0366e2c   edx: 00011e2f
Aug  7 10:43:56 sambaperf kernel: esi: c3b5f0ec   edi: 00000000   ebp: 
00000080   esp: ee9ffdec
Aug  7 10:43:56 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:43:56 sambaperf kernel: Process db2sysc (pid: 5951, 
stackpage=ee9ff000)
Aug  7 10:43:56 sambaperf kernel: Stack: c02aa0c0 ffddcff8 c013d1ff ffddcff8 
372cefbb c038d3dc 00000000 c038c180 
Aug  7 10:43:56 sambaperf kernel:        c1d2002c 00000002 c0008ee0 ffddc000 
00000080 00000002 c3b5f0ec 36600000 
Aug  7 10:43:56 sambaperf kernel:        00000080 c0138f52 c3b5f0ec 00000002 
00000080 c0139aa7 e0896380 efe58d90 
Aug  7 10:43:56 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xee9ffdf4)
Aug  7 10:43:56 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xee9ffe30)
Aug  7 10:43:56 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xee9ffe40)
Aug  7 10:43:56 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xee9ffe8c)
Aug  7 10:43:56 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xee9ffeb0)
Aug  7 10:43:56 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xee9ffec0)
Aug  7 10:43:57 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xee9ffedc)
Aug  7 10:43:57 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xee9ffef0)
Aug  7 10:43:57 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xee9fff20)
Aug  7 10:43:57 sambaperf kernel: [<c012f50c>] del_timer_sync [kernel] 0x1b 
(0xee9fff50)
Aug  7 10:43:57 sambaperf kernel: [<c01300cd>] schedule_timeout [kernel] 0x6d 
(0xee9fff64)
Aug  7 10:43:57 sambaperf kernel: [<c0112533>] sys_ipc [kernel] 0x59 
(0xee9fff90)
Aug  7 10:43:57 sambaperf kernel: 
Aug  7 10:43:57 sambaperf kernel: 
Aug  7 10:43:57 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:43:57 sambaperf kernel:  <2>Page has mapping still set. This is a 
serious situation. However if you 
Aug  7 10:43:58 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:43:58 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:43:58 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:43:58 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:43:58 sambaperf kernel: invalid operand: 0000
Aug  7 10:43:58 sambaperf kernel: qla2300  
Aug  7 10:43:58 sambaperf kernel: CPU:    0
Aug  7 10:43:58 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:43:58 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:43:58 sambaperf kernel: 
Aug  7 10:43:58 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:43:58 sambaperf kernel: eax: 00000033   ebx: c4ff6668   ecx: 
00000001   edx: 00000001
Aug  7 10:43:59 sambaperf kernel: esi: c4ff6668   edi: 00000000   ebp: 
00000024   esp: f16f5dec
Aug  7 10:43:59 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:43:59 sambaperf kernel: Process db2sysc (pid: 3097, 
stackpage=f16f5000)
Aug  7 10:43:59 sambaperf kernel: Stack: c02aa0c0 fffb8fc0 c013d1ff fffb8fc0 
c018e2cd 00000000 00000001 c038c180 
Aug  7 10:43:59 sambaperf kernel:        c1d2002c 00000002 c0009dc0 fffb8000 
00000024 0000000a c4ff6668 3d200000 
Aug  7 10:43:59 sambaperf kernel:        00000024 c0138f52 c4ff6668 0000000a 
00000024 c0139aa7 f5fec980 f16eef40 
Aug  7 10:43:59 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf16f5df4)
Aug  7 10:43:59 sambaperf kernel: [<c018e2cd>] ext2_alloc_branch [kernel] 0x34 
(0xf16f5dfc)
Aug  7 10:43:59 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf16f5e30)
Aug  7 10:43:59 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf16f5e40)
Aug  7 10:43:59 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf16f5e8c)
Aug  7 10:43:59 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf16f5eb0)
Aug  7 10:43:59 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf16f5ec0)
Aug  7 10:43:59 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xf16f5edc)
Aug  7 10:43:59 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xf16f5ef0)
Aug  7 10:43:59 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xf16f5f20)
Aug  7 10:43:59 sambaperf kernel: [<c010b171>] sys_rt_sigreturn [kernel] 0x122 
(0xf16f5f84)
Aug  7 10:43:59 sambaperf kernel: [<c011d759>] do_page_fault [kernel] 0x0 
(0xf16f5fb0)
Aug  7 10:43:59 sambaperf kernel: [<c011d759>] do_page_fault [kernel] 0x0 
(0xf16f5fbc)
Aug  7 10:43:59 sambaperf kernel: 
Aug  7 10:43:59 sambaperf kernel: 
Aug  7 10:43:59 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:44:02 sambaperf su(pam_unix)[3355]: session closed for user db2inst1
Aug  7 10:44:25 sambaperf kernel:  <2>Page has mapping still set. This is a 
serious situation. However if you 
Aug  7 10:44:25 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:44:25 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:44:25 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:44:25 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:44:25 sambaperf kernel: invalid operand: 0000
Aug  7 10:44:25 sambaperf kernel: qla2300  
Aug  7 10:44:25 sambaperf kernel: CPU:    12
Aug  7 10:44:25 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:44:25 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:44:25 sambaperf kernel: 
Aug  7 10:44:25 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:44:25 sambaperf kernel: eax: 00000033   ebx: c22cef3c   ecx: 
00000020   edx: 00000004
Aug  7 10:44:25 sambaperf kernel: esi: c22cef3c   edi: 00000000   ebp: 
00000037   esp: f5ffbdec
Aug  7 10:44:25 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:44:25 sambaperf kernel: Process db2sysc (pid: 2985, 
stackpage=f5ffb000)
Aug  7 10:44:25 sambaperf kernel: Stack: c02aa0c0 ffe207f8 c013d1ff ffe207f8 
c018e2cd 00000000 00000001 c038c180 
Aug  7 10:44:25 sambaperf kernel:        c1d2002c 00000002 c0009100 ffe20000 
00000037 00000002 c22cef3c 35700000 
Aug  7 10:44:25 sambaperf kernel:        00000037 c0138f52 c22cef3c 00000002 
00000037 c0139aa7 f5fece00 f5fe7d58 
Aug  7 10:44:25 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf5ffbdf4)
Aug  7 10:44:25 sambaperf kernel: [<c018e2cd>] ext2_alloc_branch [kernel] 0x34 
(0xf5ffbdfc)
Aug  7 10:44:25 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf5ffbe30)
Aug  7 10:44:25 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf5ffbe40)
Aug  7 10:44:25 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf5ffbe8c)
Aug  7 10:44:25 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf5ffbeb0)
Aug  7 10:44:25 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf5ffbec0)
Aug  7 10:44:25 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xf5ffbedc)
Aug  7 10:44:25 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xf5ffbef0)
Aug  7 10:44:25 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xf5ffbf20)
Aug  7 10:44:25 sambaperf kernel: [<c010b171>] sys_rt_sigreturn [kernel] 0x122 
(0xf5ffbf84)
Aug  7 10:44:25 sambaperf kernel: [<c011d759>] do_page_fault [kernel] 0x0 
(0xf5ffbfb0)
Aug  7 10:44:25 sambaperf kernel: [<c011d759>] do_page_fault [kernel] 0x0 
(0xf5ffbfbc)
Aug  7 10:44:25 sambaperf kernel: 
Aug  7 10:44:25 sambaperf kernel: 
Aug  7 10:44:25 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:44:29 sambaperf kernel:  <2>Page has mapping still set. This is a 
serious situation. However if you 
Aug  7 10:44:29 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:44:29 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:44:29 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:44:29 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:44:29 sambaperf kernel: invalid operand: 0000
Aug  7 10:44:29 sambaperf kernel: qla2300  
Aug  7 10:44:29 sambaperf kernel: CPU:    3
Aug  7 10:44:29 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:44:29 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:44:29 sambaperf kernel: 
Aug  7 10:44:29 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:44:29 sambaperf kernel: Page has mapping still set. This is a serious 
situation. However if you 
Aug  7 10:44:29 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:44:29 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:44:29 sambaperf kernel: eax: 00000033   ebx: c3c0120c   ecx: 
00000001   edx: 00000001
Aug  7 10:44:29 sambaperf kernel: esi: c3c0120c   edi: 00000000   ebp: 
00000025   esp: f06d3dec
Aug  7 10:44:29 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:44:29 sambaperf kernel: Process db2sysc (pid: 3127, 
stackpage=f06d3000)
Aug  7 10:44:29 sambaperf kernel: Stack: c02aa0c0 fff52ac0 c013d1ff fff52ac0 
c0416680 f06d3e34 00000086 c0416680 
Aug  7 10:44:29 sambaperf kernel:        0000000a 00000002 c0009a90 fff52000 
00000025 0000000e c3c0120c 35800000 
Aug  7 10:44:29 sambaperf kernel:        00000025 c0138f52 c3c0120c 0000000e 
00000025 c0139aa7 f06c4e00 f06bfd58 
Aug  7 10:44:29 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf06d3df4)
Aug  7 10:44:29 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf06d3e30)
Aug  7 10:44:29 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf06d3e40)
Aug  7 10:44:29 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf06d3e8c)
Aug  7 10:44:29 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf06d3eb0)
Aug  7 10:44:29 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf06d3ec0)
Aug  7 10:44:29 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xf06d3edc)
Aug  7 10:44:29 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xf06d3ef0)
Aug  7 10:44:30 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xf06d3f20)
Aug  7 10:44:30 sambaperf kernel: [<c012f50c>] del_timer_sync [kernel] 0x1b 
(0xf06d3f50)
Aug  7 10:44:30 sambaperf kernel: [<c01300cd>] schedule_timeout [kernel] 0x6d 
(0xf06d3f64)
Aug  7 10:44:30 sambaperf kernel: [<c0130057>] process_timeout [kernel] 0x0 
(0xf06d3f84)
Aug  7 10:44:30 sambaperf kernel: [<c0130231>] sys_nanosleep [kernel] 0x10c 
(0xf06d3f9c)
Aug  7 10:44:30 sambaperf kernel: 
Aug  7 10:44:30 sambaperf kernel: 
Aug  7 10:44:31 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:44:31 sambaperf kernel:  ------------[ cut here ]------------
Aug  7 10:44:31 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:44:31 sambaperf kernel: invalid operand: 0000
Aug  7 10:44:31 sambaperf kernel: qla2300  
Aug  7 10:44:31 sambaperf kernel: CPU:    11
Aug  7 10:44:31 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:44:31 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:44:31 sambaperf kernel: 
Aug  7 10:44:31 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:44:31 sambaperf kernel: eax: 00000033   ebx: c3f858d8   ecx: 
c0366e2c   edx: 0001345a
Aug  7 10:44:31 sambaperf kernel: esi: c3f858d8   edi: 00000000   ebp: 
0000004f   esp: f0681dec
Aug  7 10:44:31 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:44:31 sambaperf kernel: Process db2sysc (pid: 3129, 
stackpage=f0681000)
Aug  7 10:44:32 sambaperf kernel: Stack: c02aa0c0 ffe42ff8 c013d1ff ffe42ff8 
c2209db8 c038d3dc 00000086 c038c180 
Aug  7 10:44:32 sambaperf kernel:        c1d2002c 00000002 c0009210 ffe42000 
0000004f 00000045 c3f858d8 37200000 
Aug  7 10:44:32 sambaperf kernel:        0000004f c0138f52 c3f858d8 00000045 
0000004f c0139aa7 f06c4c80 f067bdc0 
Aug  7 10:44:32 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf0681df4)
Aug  7 10:44:32 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf0681e30)
Aug  7 10:44:32 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf0681e40)
Aug  7 10:44:32 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf0681e8c)
Aug  7 10:44:32 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf0681eb0)
Aug  7 10:44:32 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf0681ec0)
Aug  7 10:44:32 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xf0681edc)
Aug  7 10:44:32 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xf0681ef0)
Aug  7 10:44:32 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xf0681f20)
Aug  7 10:44:32 sambaperf kernel: [<c012f50c>] del_timer_sync [kernel] 0x1b 
(0xf0681f50)
Aug  7 10:44:32 sambaperf kernel: [<c01300cd>] schedule_timeout [kernel] 0x6d 
(0xf0681f64)
Aug  7 10:44:32 sambaperf kernel: [<c0130057>] process_timeout [kernel] 0x0 
(0xf0681f84)
Aug  7 10:44:32 sambaperf kernel: [<c0130231>] sys_nanosleep [kernel] 0x10c 
(0xf0681f9c)
Aug  7 10:44:32 sambaperf kernel: 
Aug  7 10:44:32 sambaperf kernel: 
Aug  7 10:44:32 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:44:32 sambaperf kernel:  <2>Page has mapping still set. This is a 
serious situation. However if you 
Aug  7 10:44:32 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:44:32 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:44:32 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:44:32 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:44:32 sambaperf kernel: invalid operand: 0000
Aug  7 10:44:32 sambaperf kernel: qla2300  
Aug  7 10:44:32 sambaperf kernel: CPU:    8
Aug  7 10:44:32 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:44:32 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:44:32 sambaperf kernel: 
Aug  7 10:44:32 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:44:32 sambaperf kernel: eax: 00000033   ebx: c50ff3e8   ecx: 
00000001   edx: 00000001
Aug  7 10:44:32 sambaperf kernel: esi: c50ff3e8   edi: 00000000   ebp: 
0000005b   esp: f06f5dec
Aug  7 10:44:32 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:44:32 sambaperf kernel: Process db2sysc (pid: 3126, 
stackpage=f06f5000)
Aug  7 10:44:32 sambaperf kernel: Stack: c02aa0c0 ffea8ff8 c013d1ff ffea8ff8 
c1dff1f0 c038d3dc c223ae2c c038c180 
Aug  7 10:44:33 sambaperf kernel:        c1d2002c 00000002 c0009540 ffea8000 
0000005b 00000019 c50ff3e8 3b800000 
Aug  7 10:44:33 sambaperf kernel:        0000005b c0138f52 c50ff3e8 00000019 
0000005b c0139aa7 f06efe00 f06eeed8 
Aug  7 10:44:33 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf06f5df4)
Aug  7 10:44:33 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf06f5e30)
Aug  7 10:44:33 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf06f5e40)
Aug  7 10:44:33 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf06f5e8c)
Aug  7 10:44:33 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf06f5eb0)
Aug  7 10:44:33 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf06f5ec0)
Aug  7 10:44:33 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xf06f5edc)
Aug  7 10:44:33 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xf06f5ef0)
Aug  7 10:44:33 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xf06f5f20)
Aug  7 10:44:33 sambaperf kernel: [<c012f50c>] del_timer_sync [kernel] 0x1b 
(0xf06f5f50)
Aug  7 10:44:33 sambaperf kernel: [<c01300cd>] schedule_timeout [kernel] 0x6d 
(0xf06f5f64)
Aug  7 10:44:33 sambaperf kernel: [<c0130057>] process_timeout [kernel] 0x0 
(0xf06f5f84)
Aug  7 10:44:33 sambaperf kernel: [<c0130231>] sys_nanosleep [kernel] 0x10c 
(0xf06f5f9c)
Aug  7 10:44:33 sambaperf kernel: 
Aug  7 10:44:33 sambaperf kernel: 
Aug  7 10:44:33 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:44:35 sambaperf kernel:  <2>Page has mapping still set. This is a 
serious situation. However if you 
Aug  7 10:44:35 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:44:35 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:44:35 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:44:35 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:44:35 sambaperf kernel: invalid operand: 0000
Aug  7 10:44:35 sambaperf kernel: qla2300  
Aug  7 10:44:35 sambaperf kernel: CPU:    2
Aug  7 10:44:35 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:44:35 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:44:35 sambaperf kernel: 
Aug  7 10:44:35 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:44:35 sambaperf kernel: eax: 00000033   ebx: c403bda4   ecx: 
00000001   edx: f6c32000
Aug  7 10:44:35 sambaperf kernel: esi: c403bda4   edi: 00000000   ebp: 
00000039   esp: f19b7dec
Aug  7 10:44:35 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:44:35 sambaperf kernel: Process db2sysc (pid: 3089, 
stackpage=f19b7000)
Aug  7 10:44:35 sambaperf kernel: Stack: c02aa0c0 fff74fc0 c013d1ff fff74fc0 
0000000a 0000000a c01f2245 c038c180 
Aug  7 10:44:35 sambaperf kernel:        c1d2002c 00000002 c0009ba0 fff74000 
00000039 0000002b c403bda4 39400000 
Aug  7 10:44:35 sambaperf kernel:        00000039 c0138f52 c403bda4 0000002b 
00000039 c0139aa7 e13d1080 f19a8e48 
Aug  7 10:44:35 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf19b7df4)
Aug  7 10:44:35 sambaperf kernel: [<c01f2245>] scsi_finish_command [kernel] 
0x81 (0xf19b7e04)
Aug  7 10:44:35 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf19b7e30)
Aug  7 10:44:36 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf19b7e40)
Aug  7 10:44:36 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf19b7e8c)
Aug  7 10:44:36 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf19b7eb0)
Aug  7 10:44:36 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf19b7ec0)
Aug  7 10:44:36 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xf19b7edc)
Aug  7 10:44:36 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xf19b7ef0)
Aug  7 10:44:36 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xf19b7f20)
Aug  7 10:44:36 sambaperf kernel: [<c012f50c>] del_timer_sync [kernel] 0x1b 
(0xf19b7f50)
Aug  7 10:44:36 sambaperf kernel: [<c01300cd>] schedule_timeout [kernel] 0x6d 
(0xf19b7f64)
Aug  7 10:44:36 sambaperf kernel: [<c0130057>] process_timeout [kernel] 0x0 
(0xf19b7f84)
Aug  7 10:44:36 sambaperf kernel: [<c0130231>] sys_nanosleep [kernel] 0x10c 
(0xf19b7f9c)
Aug  7 10:44:36 sambaperf kernel: 
Aug  7 10:44:36 sambaperf kernel: 
Aug  7 10:44:36 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:44:36 sambaperf kernel:  <2>Page has mapping still set. This is a 
serious situation. However if you 
Aug  7 10:44:36 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:44:36 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:44:36 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:44:36 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:44:36 sambaperf kernel: invalid operand: 0000
Aug  7 10:44:36 sambaperf kernel: qla2300  
Aug  7 10:44:37 sambaperf kernel: Page has mapping still set. This is a serious 
situation. However if you 
Aug  7 10:44:37 sambaperf kernel: CPU:    11
Aug  7 10:44:37 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:44:37 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:44:37 sambaperf kernel: 
Aug  7 10:44:37 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:44:37 sambaperf kernel: eax: 00000033   ebx: c3d22f28   ecx: 
00000001   edx: 00000001
Aug  7 10:44:37 sambaperf kernel: esi: c3d22f28   edi: 00000000   ebp: 
00000080   esp: f19d9dec
Aug  7 10:44:37 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:44:37 sambaperf kernel: Process db2sysc (pid: 3088, 
stackpage=f19d9000)
Aug  7 10:44:37 sambaperf kernel: Stack: c02aa0c0 ffe427f8 c013d1ff ffe427f8 
00000002 c038d3dc 00000286 c038c180 
Aug  7 10:44:37 sambaperf kernel:        c1d2002c 00000002 c0009210 ffe42000 
00000080 00000037 c3d22f28 37500000 
Aug  7 10:44:37 sambaperf kernel:        00000080 c0138f52 c3d22f28 00000037 
00000080 c0139aa7 e132e500 f19d1dd0 
Aug  7 10:44:37 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf19d9df4)
Aug  7 10:44:37 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf19d9e30)
Aug  7 10:44:37 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf19d9e40)
Aug  7 10:44:37 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf19d9e8c)
Aug  7 10:44:37 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf19d9eb0)
Aug  7 10:44:37 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf19d9ec0)
Aug  7 10:44:37 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:44:37 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xf19d9edc)
Aug  7 10:44:37 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xf19d9ef0)
Aug  7 10:44:37 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xf19d9f20)
Aug  7 10:44:37 sambaperf kernel: [<c012f50c>] del_timer_sync [kernel] 0x1b 
(0xf19d9f50)
Aug  7 10:44:37 sambaperf kernel: [<c01300cd>] schedule_timeout [kernel] 0x6d 
(0xf19d9f64)
Aug  7 10:44:38 sambaperf kernel: [<c0130057>] process_timeout [kernel] 0x0 
(0xf19d9f84)
Aug  7 10:44:38 sambaperf kernel: [<c0130231>] sys_nanosleep [kernel] 0x10c 
(0xf19d9f9c)
Aug  7 10:44:38 sambaperf kernel: 
Aug  7 10:44:38 sambaperf kernel: 
Aug  7 10:44:38 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:44:38 sambaperf kernel:  <2>NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:44:38 sambaperf kernel: ------------[ cut here ]------------
Aug  7 10:44:38 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:44:38 sambaperf kernel: invalid operand: 0000
Aug  7 10:44:38 sambaperf kernel: qla2300  
Aug  7 10:44:38 sambaperf kernel: CPU:    8
Aug  7 10:44:39 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:44:39 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:44:39 sambaperf kernel: 
Aug  7 10:44:39 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:44:39 sambaperf kernel: eax: 00000033   ebx: c3a52604   ecx: 
00000001   edx: 00000001
Aug  7 10:44:39 sambaperf kernel: esi: c3a52604   edi: 00000000   ebp: 
00000080   esp: eec31dec
Aug  7 10:44:39 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:44:39 sambaperf kernel: Process db2sysc (pid: 5629, 
stackpage=eec31000)
Aug  7 10:44:39 sambaperf kernel: Stack: c02aa0c0 ffea87e0 c013d1ff ffea87e0 
eec30000 00000000 c8ffbbb4 00000000 
Aug  7 10:44:39 sambaperf kernel:        00000000 00000002 c0009540 ffea8000 
00000080 00000051 c3a52604 35900000 
Aug  7 10:44:39 sambaperf kernel:        00000080 c0138f52 c3a52604 00000051 
00000080 c0139aa7 f48b1c80 eeb4bd60 
Aug  7 10:44:39 sambaperf kernel: Page has mapping still set. This is a serious 
situation. However if you 
Aug  7 10:44:39 sambaperf kernel: are using the NVidia binary only module 
please report this bug to 
Aug  7 10:44:39 sambaperf kernel: NVidia and not to the linux kernel 
mailinglist.
Aug  7 10:44:39 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xeec31df4)
Aug  7 10:44:39 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xeec31e30)
Aug  7 10:44:39 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xeec31e40)
Aug  7 10:44:39 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xeec31e8c)
Aug  7 10:44:39 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xeec31eb0)
Aug  7 10:44:39 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xeec31ec0)
Aug  7 10:44:39 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xeec31edc)
Aug  7 10:44:39 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xeec31ef0)
Aug  7 10:44:39 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xeec31f20)
Aug  7 10:44:39 sambaperf kernel: [<c012f50c>] del_timer_sync [kernel] 0x1b 
(0xeec31f50)
Aug  7 10:44:40 sambaperf kernel: [<c01300cd>] schedule_timeout [kernel] 0x6d 
(0xeec31f64)
Aug  7 10:44:40 sambaperf kernel: [<c0130057>] process_timeout [kernel] 0x0 
(0xeec31f84)
Aug  7 10:44:40 sambaperf kernel: [<c0130231>] sys_nanosleep [kernel] 0x10c 
(0xeec31f9c)
Aug  7 10:44:40 sambaperf kernel: 
Aug  7 10:44:40 sambaperf kernel: 
Aug  7 10:44:40 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 
Aug  7 10:44:40 sambaperf kernel:  ------------[ cut here ]------------
Aug  7 10:44:40 sambaperf kernel: kernel BUG at page_alloc.c:182!
Aug  7 10:44:40 sambaperf kernel: invalid operand: 0000
Aug  7 10:44:40 sambaperf kernel: qla2300  
Aug  7 10:44:40 sambaperf kernel: CPU:    9
Aug  7 10:44:40 sambaperf kernel: EIP:    0060:[<c014e78a>]    Not tainted
Aug  7 10:44:40 sambaperf kernel: EFLAGS: 00010282
Aug  7 10:44:40 sambaperf kernel: 
Aug  7 10:44:40 sambaperf kernel: EIP is at __free_pages_ok [kernel] 0x392 
(2.4.21rhas30b1 )
Aug  7 10:44:40 sambaperf kernel: eax: 00000033   ebx: c4010cd0   ecx: 
c0366e2c   edx: 0001588c
Aug  7 10:44:40 sambaperf kernel: esi: c4010cd0   edi: 00000000   ebp: 
0000003c   esp: f1a0fdec
Aug  7 10:44:40 sambaperf kernel: ds: 0068   es: 0068   ss: 0068
Aug  7 10:44:40 sambaperf kernel: Process db2sysc (pid: 3087, 
stackpage=f1a0f000)
Aug  7 10:44:40 sambaperf kernel: Stack: c02aa0c0 ffe867c0 c013d1ff ffe867c0 
00000006 c038d3dc c0415c80 c038c180 
Aug  7 10:44:40 sambaperf kernel:        c1d2002c 00000002 c0009430 ffe86000 
0000003c 00000001 c4010cd0 39300000 
Aug  7 10:44:40 sambaperf kernel:        0000003c c0138f52 c4010cd0 00000001 
0000003c c0139aa7 e13d1200 f1a00e48 
Aug  7 10:44:40 sambaperf kernel: Call Trace:   [<c013d1ff>] zap_pte_range 
[kernel] 0x134 (0xf1a0fdf4)
Aug  7 10:44:40 sambaperf kernel: [<c0138f52>] __free_pte [kernel] 0x48 
(0xf1a0fe30)
Aug  7 10:44:40 sambaperf kernel: [<c0139aa7>] zap_page_range [kernel] 0x1c1 
(0xf1a0fe40)
Aug  7 10:44:40 sambaperf kernel: [<c013f00c>] exit_mmap [kernel] 0xcf 
(0xf1a0fe8c)
Aug  7 10:44:40 sambaperf kernel: [<c0122b09>] mmput [kernel] 0x63 (0xf1a0feb0)
Aug  7 10:44:40 sambaperf kernel: [<c0128f5e>] do_exit [kernel] 0x137 
(0xf1a0fec0)
Aug  7 10:44:40 sambaperf kernel: [<c01292bb>] do_group_exit [kernel] 0x8a 
(0xf1a0fedc)
Aug  7 10:44:41 sambaperf kernel: [<c013224f>] get_signal_to_deliver [kernel] 
0x210 (0xf1a0fef0)
Aug  7 10:44:41 sambaperf kernel: [<c010b858>] do_signal [kernel] 0x61 
(0xf1a0ff20)
Aug  7 10:44:41 sambaperf kernel: [<c012f50c>] del_timer_sync [kernel] 0x1b 
(0xf1a0ff50)
Aug  7 10:44:41 sambaperf kernel: [<c01300cd>] schedule_timeout [kernel] 0x6d 
(0xf1a0ff64)
Aug  7 10:44:41 sambaperf kernel: [<c0130057>] process_timeout [kernel] 0x0 
(0xf1a0ff84)
Aug  7 10:44:41 sambaperf kernel: [<c0130231>] sys_nanosleep [kernel] 0x10c 
(0xf1a0ff9c)
Aug  7 10:44:41 sambaperf kernel: 
Aug  7 10:44:41 sambaperf kernel: 
Aug  7 10:44:41 sambaperf kernel: Code: 0f 0b b6 00 9b 97 2a c0 e9 b8 fc ff ff 
0f 0b ac 00 9b 97 2a 


Actual Results:

Expected Results:

Additional Information:Created an attachment (id=1322)
oops info

Here is a more readable ascii version of the oops infoCreated an attachment 
(id=1323)
Current version of readv patch

For reference, here is the current version of the patch that was applied
against the rhas30b1 source tree.Created an attachment (id=1324)
config file used to rebuild rhas30b1 readv kernel

Please report to RedHat.
NOTE : severity is blocking.
Thanks
Comment 1 Arjan van de Ven 2003-08-06 10:45:09 EDT
fix product names in the summary
Comment 3 Greg Kelleher 2003-08-06 12:09:46 EDT
This is internal and was escalated by mistake. The performance team is 
continuing to look at this.
Comment 4 IBM Bug Proxy 2003-08-07 10:43:55 EDT
------ Additional Comments From mksully@us.ibm.com  2003-07-08 08:09 -------
Hardware environment should read 16GB RAM... 
Comment 5 IBM Bug Proxy 2003-08-14 11:33:49 EDT
------ Additional Comments From mksully@us.ibm.com  2003-14-08 11:28 -------
Verified fix. 

Note You need to log in before you can comment on or make changes to this bug.